#include "rsigold.h"

/****************************************************************
 * Red Sector Font Library for Allegro
 * Written by Nigel Stewart / Inspire Media
 * Version 1.0b  Nov 5, 1997
 *
 * This program tests the RSI font library.
 *
 ****************************************************************/

#ifndef MIN
#define MIN(x,y) ((x)<(y) ? (x) : (y))
#endif

#ifndef MAX
#define MAX(x,y) ((x)>(y) ? (x) : (y))
#endif

void main(int argc, char *argv[])
{
   int p;

   allegro_init();
   install_keyboard();

   fade_out(5);

   if (set_gfx_mode(GFX_AUTODETECT,640,480,0,0)<0)
      exit(0);
 
   set_palette(rsi_gold_pal);
   clear(screen);

   rsiWriteString(screen,"RED SECTOR FONT\n\nlibrary for Allegro\n\n\n1997 inspire media");
   readkey();

   fade_out(5);
   clear(screen);
   set_palette(rsi_purple_pal);
   rsiWriteString(screen,"0123456789\nabcdefghijklm\nnopqrstuvwyxz");
   readkey();

   fade_out(5);
}


